## snac2 2.25

=== Makefile ===
PREFIX=/usr/local
PREFIX_MAN=$(PREFIX)/man
CFLAGS?=-g -Wall

all: snac

snac: snac.o main.o data.o http.o httpd.o webfinger.o \
    activitypub.o html.o utils.o format.o upgrade.o
	$(CC) $(CFLAGS) -L/usr/local/lib *.o -lcurl -lcrypto -pthread $(LDFLAGS) -o $@

.c.o:
	$(CC) $(CFLAGS) $(CPPFLAGS) -I/usr/local/include -c $<

clean:
	rm -rf *.o *.core snac makefile.depend

dep:
	$(CC) -I/usr/local/include -MM *.c > makefile.depend

install:
	mkdir -p -m 755 $(PREFIX)/bin
	install -m 755 snac $(PREFIX)/bin/snac
	mkdir -p -m 755 $(PREFIX_MAN)/man1
	install -m 644 doc/snac.1 $(PREFIX_MAN)/man1/snac.1
	mkdir -p -m 755 $(PREFIX_MAN)/man5
	install -m 644 doc/snac.5 $(PREFIX_MAN)/man5/snac.5
	mkdir -p -m 755 $(PREFIX_MAN)/man8
	install -m 644 doc/snac.8 $(PREFIX_MAN)/man8/snac.8

activitypub.o: activitypub.c xs.h xs_encdec.h xs_json.h xs_curl.h \
 xs_mime.h xs_openssl.h xs_regex.h xs_time.h xs_set.h snac.h
data.o: data.c xs.h xs_io.h xs_json.h xs_openssl.h xs_glob.h xs_set.h \
 snac.h
format.o: format.c xs.h xs_regex.h snac.h
html.o: html.c xs.h xs_io.h xs_encdec.h xs_json.h xs_regex.h xs_set.h \
 xs_openssl.h xs_time.h xs_mime.h snac.h
http.o: http.c xs.h xs_io.h xs_encdec.h xs_openssl.h xs_curl.h xs_time.h \
 xs_json.h snac.h
httpd.o: httpd.c xs.h xs_io.h xs_encdec.h xs_json.h xs_socket.h \
 xs_httpd.h xs_mime.h snac.h
main.o: main.c xs.h xs_io.h xs_encdec.h xs_json.h snac.h
snac.o: snac.c xs.h xs_io.h xs_encdec.h xs_json.h xs_curl.h xs_openssl.h \
 xs_socket.h xs_httpd.h xs_mime.h xs_regex.h xs_set.h xs_time.h xs_glob.h \
 snac.h
upgrade.o: upgrade.c xs.h xs_io.h xs_json.h xs_glob.h snac.h
utils.o: utils.c xs.h xs_io.h xs_encdec.h xs_json.h xs_time.h \
 xs_openssl.h snac.h
webfinger.o: webfinger.c xs.h xs_encdec.h xs_json.h xs_curl.h snac.h

=== debian/changelog ===
snac2 (2.25-3) unstable; urgency=medium

  * Proxy webfinger and nodeinfo paths
  * Add nginx config
  * Add a test using nginx
  * Recommend ssl-cert
  * Drop examples that are less useful on Debian

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 03 Jul 2023 07:33:26 -0400

snac2 (2.25-2) experimental; urgency=medium

  * Initialize data storage after install
  * Add apache config
  * Test apache config
  * Add readme

 -- James Valleroy <jvalleroy@mailbox.org>  Tue, 28 Mar 2023 15:09:45 -0400

snac2 (2.25-1) experimental; urgency=medium

  * New upstream version 2.25
  * Refresh patch
  * Follows policy v4.6.2
  * Update copyright dates

 -- James Valleroy <jvalleroy@mailbox.org>  Sat, 25 Mar 2023 17:27:39 -0400

snac2 (2.15-1) experimental; urgency=medium

  * Add basic commands test
  * Add debian/gbp.conf
  * New upstream version 2.15
  * Refresh patch

 -- James Valleroy <jvalleroy@mailbox.org>  Thu, 15 Dec 2022 07:44:07 -0500

snac2 (2.11-1) experimental; urgency=medium

  * Initial release (Closes: #1023749)

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 21 Nov 2022 07:14:41 -0500

## snac2 2.41

=== Makefile ===
PREFIX=/usr/local
PREFIX_MAN=$(PREFIX)/man
CFLAGS?=-g -Wall -Wextra

all: snac

snac: snac.o main.o data.o http.o httpd.o webfinger.o \
    activitypub.o html.o utils.o format.o upgrade.o mastoapi.o
	$(CC) $(CFLAGS) -L/usr/local/lib *.o -lcurl -lcrypto -pthread $(LDFLAGS) -o $@

.c.o:
	$(CC) $(CFLAGS) $(CPPFLAGS) -I/usr/local/include -c $<

clean:
	rm -rf *.o *.core snac makefile.depend

dep:
	$(CC) -I/usr/local/include -MM *.c > makefile.depend

install:
	mkdir -p -m 755 $(PREFIX)/bin
	install -m 755 snac $(PREFIX)/bin/snac
	mkdir -p -m 755 $(PREFIX_MAN)/man1
	install -m 644 doc/snac.1 $(PREFIX_MAN)/man1/snac.1
	mkdir -p -m 755 $(PREFIX_MAN)/man5
	install -m 644 doc/snac.5 $(PREFIX_MAN)/man5/snac.5
	mkdir -p -m 755 $(PREFIX_MAN)/man8
	install -m 644 doc/snac.8 $(PREFIX_MAN)/man8/snac.8

uninstall:
	rm $(PREFIX)/bin/snac
	rm $(PREFIX_MAN)/man1/snac.1
	rm $(PREFIX_MAN)/man5/snac.5
	rm $(PREFIX_MAN)/man8/snac.8

activitypub.o: activitypub.c xs.h xs_json.h xs_curl.h xs_mime.h \
 xs_openssl.h xs_regex.h xs_time.h xs_set.h snac.h
data.o: data.c xs.h xs_io.h xs_json.h xs_openssl.h xs_glob.h xs_set.h \
 xs_time.h snac.h
format.o: format.c xs.h xs_regex.h xs_mime.h snac.h
html.o: html.c xs.h xs_io.h xs_json.h xs_regex.h xs_set.h xs_openssl.h \
 xs_time.h xs_mime.h snac.h
http.o: http.c xs.h xs_io.h xs_openssl.h xs_curl.h xs_time.h xs_json.h \
 snac.h
httpd.o: httpd.c xs.h xs_io.h xs_json.h xs_socket.h xs_httpd.h xs_mime.h \
 xs_time.h xs_openssl.h snac.h
main.o: main.c xs.h xs_io.h xs_json.h snac.h
mastoapi.o: mastoapi.c xs.h xs_openssl.h xs_json.h xs_io.h xs_time.h \
 xs_glob.h xs_set.h xs_random.h snac.h
snac.o: snac.c xs.h xs_io.h xs_unicode.h xs_json.h xs_curl.h xs_openssl.h \
 xs_socket.h xs_httpd.h xs_mime.h xs_regex.h xs_set.h xs_time.h xs_glob.h \
 xs_random.h snac.h
upgrade.o: upgrade.c xs.h xs_io.h xs_json.h xs_glob.h snac.h
utils.o: utils.c xs.h xs_io.h xs_json.h xs_time.h xs_openssl.h \
 xs_random.h snac.h
webfinger.o: webfinger.c xs.h xs_json.h xs_curl.h snac.h

=== debian/changelog ===
snac2 (2.41-1) unstable; urgency=medium

  * postinst: Set tmpdir for mktemp (Closes: #1041405)
  * New upstream version 2.41
  * Refresh patch
  * README: Clarify to run command as root
  * Match upstream copyright statement

 -- James Valleroy <jvalleroy@mailbox.org>  Tue, 05 Sep 2023 20:54:07 -0400

=== debian/control ===
Source: snac2
Section: web
Priority: optional
Maintainer: James Valleroy <jvalleroy@mailbox.org>
Build-Depends: apache2-dev,
               debhelper-compat (= 13),
               libcurl4-openssl-dev,
               libssl-dev
Standards-Version: 4.6.2
Homepage: https://codeberg.org/grunfink/snac2
Vcs-Browser: https://salsa.debian.org/debian/snac2
Vcs-Git: https://salsa.debian.org/debian/snac2.git
Rules-Requires-Root: no

Package: snac2
Architecture: any
Depends: adduser,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: nginx | httpd,
            ssl-cert,
            ${misc:Recommends}
Description: simple, minimalistic ActivityPub instance
 Runs as a daemon (proxied by a TLS-enabled real httpd server) and
 provides the basic services for a Fediverse / ActivityPub instance
 (sharing messages and stuff from/to other systems like Mastodon,
 Pleroma, Friendica, etc.).
 .
 It is lightweight, with minimal dependencies, and no database is
 needed. It has extensive support of ActivityPub operations, and is
 tested for interoperability with similar software. It also features a
 simple but effective web interface with an easily-accessed Mute
 button.

=== debian/tests/control ===
Tests: apache-test
Depends: apache2,
         wget,
         @
Restrictions: allow-stderr, needs-root

Tests: nginx-test
Depends: nginx,
         ssl-cert,
         wget,
         @
Restrictions: allow-stderr, needs-root

## snac2 2.42

=== debian/changelog ===
snac2 (2.42-1) unstable; urgency=medium

  * New upstream version 2.42 (Closes: #1055793)
  * README.Debian: Mention apache modules and re-organize

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 13 Nov 2023 09:57:53 -0500

## snac2 2.45

=== Makefile ===
PREFIX=/usr/local
PREFIX_MAN=$(PREFIX)/man
CFLAGS?=-g -Wall -Wextra

all: snac

snac: snac.o main.o data.o http.o httpd.o webfinger.o \
    activitypub.o html.o utils.o format.o upgrade.o mastoapi.o
	$(CC) $(CFLAGS) -L/usr/local/lib *.o -lcurl -lcrypto $(LDFLAGS) -pthread -o $@

.c.o:
	$(CC) $(CFLAGS) $(CPPFLAGS) -I/usr/local/include -c $<

clean:
	rm -rf *.o *.core snac makefile.depend

dep:
	$(CC) -I/usr/local/include -MM *.c > makefile.depend

install:
	mkdir -p -m 755 $(PREFIX)/bin
	install -m 755 snac $(PREFIX)/bin/snac
	mkdir -p -m 755 $(PREFIX_MAN)/man1
	install -m 644 doc/snac.1 $(PREFIX_MAN)/man1/snac.1
	mkdir -p -m 755 $(PREFIX_MAN)/man5
	install -m 644 doc/snac.5 $(PREFIX_MAN)/man5/snac.5
	mkdir -p -m 755 $(PREFIX_MAN)/man8
	install -m 644 doc/snac.8 $(PREFIX_MAN)/man8/snac.8

uninstall:
	rm $(PREFIX)/bin/snac
	rm $(PREFIX_MAN)/man1/snac.1
	rm $(PREFIX_MAN)/man5/snac.5
	rm $(PREFIX_MAN)/man8/snac.8

activitypub.o: activitypub.c xs.h xs_json.h xs_curl.h xs_mime.h \
 xs_openssl.h xs_regex.h xs_time.h xs_set.h xs_match.h snac.h
data.o: data.c xs.h xs_hex.h xs_io.h xs_json.h xs_openssl.h xs_glob.h \
 xs_set.h xs_time.h snac.h
format.o: format.c xs.h xs_regex.h xs_mime.h xs_html.h snac.h
html.o: html.c xs.h xs_io.h xs_json.h xs_regex.h xs_set.h xs_openssl.h \
 xs_time.h xs_mime.h xs_match.h xs_html.h snac.h
http.o: http.c xs.h xs_io.h xs_openssl.h xs_curl.h xs_time.h xs_json.h \
 snac.h
httpd.o: httpd.c xs.h xs_io.h xs_json.h xs_socket.h xs_httpd.h xs_mime.h \
 xs_time.h xs_openssl.h xs_fcgi.h xs_html.h snac.h
main.o: main.c xs.h xs_io.h xs_json.h snac.h xs_html.h
mastoapi.o: mastoapi.c xs.h xs_hex.h xs_openssl.h xs_json.h xs_io.h \
 xs_time.h xs_glob.h xs_set.h xs_random.h xs_url.h xs_mime.h xs_match.h \
 snac.h
snac.o: snac.c xs.h xs_hex.h xs_io.h xs_unicode.h xs_json.h xs_curl.h \
 xs_openssl.h xs_socket.h xs_url.h xs_httpd.h xs_mime.h xs_regex.h \
 xs_set.h xs_time.h xs_glob.h xs_random.h xs_match.h xs_fcgi.h xs_html.h \
 snac.h
upgrade.o: upgrade.c xs.h xs_io.h xs_json.h xs_glob.h snac.h
utils.o: utils.c xs.h xs_io.h xs_json.h xs_time.h xs_openssl.h \
 xs_random.h xs_glob.h snac.h
webfinger.o: webfinger.c xs.h xs_json.h xs_curl.h xs_mime.h snac.h

=== debian/changelog ===
snac2 (2.45-1build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:01:54 +1100

snac2 (2.45-1build2) noble; urgency=medium

  * No-change rebuild against libcurl4t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 16 Mar 2024 07:03:12 +0000

snac2 (2.45-1build1) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 04 Mar 2024 21:22:58 +0000

snac2 (2.45-1) unstable; urgency=medium

  * Drop nginx test
  * Test webfinger, nodeinfo, and instance APIs
  * Test login as user
  * Add Suggests: certbot
  * New upstream version 2.45
  * Update copyright years

 -- James Valleroy <jvalleroy@mailbox.org>  Sat, 20 Jan 2024 07:00:44 -0500

snac2 (2.42-2) unstable; urgency=medium

  * apache: Use upstream example config (Closes: #1041331)
  * postinst: If apache2 is installed, then enable modules (Closes: #1054114)
  * service: Add security hardening options

 -- James Valleroy <jvalleroy@mailbox.org>  Sat, 13 Jan 2024 17:45:44 -0500

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: snac2
 Section: web
 Priority: optional
-Maintainer: James Valleroy <jvalleroy@mailbox.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: James Valleroy <jvalleroy@mailbox.org>
 Build-Depends: apache2-dev,
                debhelper-compat (= 13),
                libcurl4-openssl-dev,
@@ -17,9 +18,10 @@
 Depends: adduser,
          ${misc:Depends},
          ${shlibs:Depends}
-Recommends: nginx | httpd,
+Recommends: apache2 | httpd,
             ssl-cert,
             ${misc:Recommends}
+Suggests: certbot
 Description: simple, minimalistic ActivityPub instance
  Runs as a daemon (proxied by a TLS-enabled real httpd server) and
  provides the basic services for a Fediverse / ActivityPub instance

=== debian/watch ===
version=4
opts="mode=git" https://codeberg.org/grunfink/snac2.git \
  refs/tags/v([\d\.]+) debian uupdate

## snac2 2.51

=== Makefile ===
--- 
+++ 
@@ -36,15 +36,16 @@
 activitypub.o: activitypub.c xs.h xs_json.h xs_curl.h xs_mime.h \
  xs_openssl.h xs_regex.h xs_time.h xs_set.h xs_match.h snac.h
 data.o: data.c xs.h xs_hex.h xs_io.h xs_json.h xs_openssl.h xs_glob.h \
- xs_set.h xs_time.h snac.h
-format.o: format.c xs.h xs_regex.h xs_mime.h xs_html.h snac.h
+ xs_set.h xs_time.h xs_regex.h snac.h
+format.o: format.c xs.h xs_regex.h xs_mime.h xs_html.h xs_json.h \
+ xs_time.h snac.h
 html.o: html.c xs.h xs_io.h xs_json.h xs_regex.h xs_set.h xs_openssl.h \
  xs_time.h xs_mime.h xs_match.h xs_html.h snac.h
 http.o: http.c xs.h xs_io.h xs_openssl.h xs_curl.h xs_time.h xs_json.h \
  snac.h
 httpd.o: httpd.c xs.h xs_io.h xs_json.h xs_socket.h xs_httpd.h xs_mime.h \
  xs_time.h xs_openssl.h xs_fcgi.h xs_html.h snac.h
-main.o: main.c xs.h xs_io.h xs_json.h snac.h xs_html.h
+main.o: main.c xs.h xs_io.h xs_json.h xs_time.h xs_openssl.h snac.h
 mastoapi.o: mastoapi.c xs.h xs_hex.h xs_openssl.h xs_json.h xs_io.h \
  xs_time.h xs_glob.h xs_set.h xs_random.h xs_url.h xs_mime.h xs_match.h \
  snac.h
@@ -54,5 +55,5 @@
  snac.h
 upgrade.o: upgrade.c xs.h xs_io.h xs_json.h xs_glob.h snac.h
 utils.o: utils.c xs.h xs_io.h xs_json.h xs_time.h xs_openssl.h \
- xs_random.h xs_glob.h snac.h
+ xs_random.h xs_glob.h xs_curl.h xs_regex.h snac.h
 webfinger.o: webfinger.c xs.h xs_json.h xs_curl.h xs_mime.h snac.h

=== debian/changelog ===
snac2 (2.51-1) unstable; urgency=medium

  * Mention to restart the service after changing host
  * Follows policy 4.7.0
  * New upstream version 2.51 (Closes: #1061965)
  * apache: Add host-meta location

 -- James Valleroy <jvalleroy@mailbox.org>  Sat, 20 Apr 2024 07:21:12 -0400

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: snac2
 Section: web
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: James Valleroy <jvalleroy@mailbox.org>
+Maintainer: James Valleroy <jvalleroy@mailbox.org>
 Build-Depends: apache2-dev,
                debhelper-compat (= 13),
                libcurl4-openssl-dev,
                libssl-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://codeberg.org/grunfink/snac2
 Vcs-Browser: https://salsa.debian.org/debian/snac2
 Vcs-Git: https://salsa.debian.org/debian/snac2.git

## snac2 2.53

=== debian/changelog ===
snac2 (2.53-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports. (Closes: #1072660)
  * d/gbp.conf: Update for bookworm-backports.

 -- Sergio Durigan Junior <sergiodj@debian.org>  Fri, 07 Jun 2024 14:05:55 -0400

snac2 (2.53-1) unstable; urgency=medium

  * d/watch: Fix regexp to match tag names.
  * New upstream version 2.53 (Closes: #1072659)
  * d/copyright: Add myself as an Uploader.
  * d/copyright: Add myself under debian/*.

 -- Sergio Durigan Junior <sergiodj@debian.org>  Wed, 05 Jun 2024 22:50:07 -0400

## snac2 2.54

=== debian/changelog ===
snac2 (2.54-1) unstable; urgency=medium

  * New upstream version 2.54

 -- Sergio Durigan Junior <sergiodj@debian.org>  Sat, 08 Jun 2024 12:03:29 -0400

## snac2 2.55

=== Makefile ===
--- 
+++ 
@@ -36,7 +36,7 @@
 activitypub.o: activitypub.c xs.h xs_json.h xs_curl.h xs_mime.h \
  xs_openssl.h xs_regex.h xs_time.h xs_set.h xs_match.h snac.h
 data.o: data.c xs.h xs_hex.h xs_io.h xs_json.h xs_openssl.h xs_glob.h \
- xs_set.h xs_time.h xs_regex.h snac.h
+ xs_set.h xs_time.h xs_regex.h xs_match.h snac.h
 format.o: format.c xs.h xs_regex.h xs_mime.h xs_html.h xs_json.h \
  xs_time.h snac.h
 html.o: html.c xs.h xs_io.h xs_json.h xs_regex.h xs_set.h xs_openssl.h \
@@ -52,7 +52,7 @@
 snac.o: snac.c xs.h xs_hex.h xs_io.h xs_unicode.h xs_json.h xs_curl.h \
  xs_openssl.h xs_socket.h xs_url.h xs_httpd.h xs_mime.h xs_regex.h \
  xs_set.h xs_time.h xs_glob.h xs_random.h xs_match.h xs_fcgi.h xs_html.h \
- snac.h
+ snac.h http_codes.h
 upgrade.o: upgrade.c xs.h xs_io.h xs_json.h xs_glob.h snac.h
 utils.o: utils.c xs.h xs_io.h xs_json.h xs_time.h xs_openssl.h \
  xs_random.h xs_glob.h xs_curl.h xs_regex.h snac.h

=== debian/changelog ===
snac2 (2.55-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Sergio Durigan Junior <sergiodj@debian.org>  Sun, 30 Jun 2024 23:55:10 -0400

snac2 (2.55-1) unstable; urgency=medium

  * New upstream version 2.55

 -- Sergio Durigan Junior <sergiodj@debian.org>  Sun, 09 Jun 2024 14:34:31 -0400

## snac2 2.56

=== debian/changelog ===
snac2 (2.56-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Sergio Durigan Junior <sergiodj@debian.org>  Tue, 09 Jul 2024 15:02:37 -0400

snac2 (2.56-1) unstable; urgency=medium

  * New upstream version 2.56

 -- Sergio Durigan Junior <sergiodj@debian.org>  Tue, 09 Jul 2024 14:47:53 -0400

## snac2 2.57

=== debian/changelog ===
snac2 (2.57-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Sergio Durigan Junior <sergiodj@debian.org>  Thu, 08 Aug 2024 13:54:15 -0400

snac2 (2.57-1) unstable; urgency=medium

  * New upstream version 2.57

 -- Sergio Durigan Junior <sergiodj@debian.org>  Thu, 08 Aug 2024 13:50:54 -0400

## snac2 2.59

=== debian/changelog ===
snac2 (2.59-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Sergio Durigan Junior <sergiodj@debian.org>  Sun, 22 Sep 2024 00:49:40 -0400

snac2 (2.59-1) unstable; urgency=medium

  * New upstream version 2.59

 -- Sergio Durigan Junior <sergiodj@debian.org>  Sun, 22 Sep 2024 00:46:37 -0400

## snac2 2.62

=== debian/changelog ===
snac2 (2.62-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Sergio Durigan Junior <sergiodj@debian.org>  Fri, 08 Nov 2024 22:24:46 -0500

snac2 (2.62-1) unstable; urgency=medium

  * New upstream version 2.62
  * d/p/0001-Debianize-install.patch: Refresh.

 -- Sergio Durigan Junior <sergiodj@debian.org>  Fri, 08 Nov 2024 22:10:32 -0500

## snac2 2.63

=== debian/changelog ===
snac2 (2.63-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Sergio Durigan Junior <sergiodj@debian.org>  Fri, 15 Nov 2024 14:06:13 -0500

snac2 (2.63-1) unstable; urgency=medium

  * New upstream version 2.63

 -- Sergio Durigan Junior <sergiodj@debian.org>  Fri, 15 Nov 2024 13:56:04 -0500

## snac2 2.64

=== debian/changelog ===
snac2 (2.64-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Sergio Durigan Junior <sergiodj@debian.org>  Thu, 21 Nov 2024 19:18:36 -0500

snac2 (2.64-1) unstable; urgency=medium

  * New upstream version 2.64

 -- Sergio Durigan Junior <sergiodj@debian.org>  Thu, 21 Nov 2024 19:14:53 -0500

## snac2 2.65

=== debian/changelog ===
snac2 (2.65-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Sergio Durigan Junior <sergiodj@debian.org>  Tue, 26 Nov 2024 19:45:04 -0500

snac2 (2.65-1) unstable; urgency=medium

  * New upstream version 2.65

 -- Sergio Durigan Junior <sergiodj@debian.org>  Tue, 26 Nov 2024 19:42:50 -0500

## snac2 2.66

=== debian/changelog ===
snac2 (2.66-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Sergio Durigan Junior <sergiodj@debian.org>  Mon, 09 Dec 2024 19:33:32 -0500

snac2 (2.66-1) unstable; urgency=medium

  * New upstream version 2.66

 -- Sergio Durigan Junior <sergiodj@debian.org>  Mon, 09 Dec 2024 19:31:05 -0500

## snac2 2.67

=== debian/changelog ===
snac2 (2.67-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Sergio Durigan Junior <sergiodj@debian.org>  Sun, 22 Dec 2024 12:10:06 -0500

snac2 (2.67-1) unstable; urgency=medium

  * New upstream version 2.67
  * d/p/0001-Debianize-install.patch: Refresh.

 -- Sergio Durigan Junior <sergiodj@debian.org>  Sun, 22 Dec 2024 12:08:06 -0500

## snac2 2.68

=== debian/changelog ===
snac2 (2.68-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Sergio Durigan Junior <sergiodj@debian.org>  Tue, 07 Jan 2025 18:57:41 -0500

snac2 (2.68-1) unstable; urgency=medium

  * New upstream version 2.68

 -- Sergio Durigan Junior <sergiodj@debian.org>  Tue, 07 Jan 2025 18:54:38 -0500

## snac2 2.69

=== debian/changelog ===
snac2 (2.69-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Sergio Durigan Junior <sergiodj@debian.org>  Fri, 24 Jan 2025 11:05:13 -0500

snac2 (2.69-1) unstable; urgency=medium

  * New upstream version 2.69

 -- Sergio Durigan Junior <sergiodj@debian.org>  Fri, 24 Jan 2025 11:02:49 -0500

## snac2 2.71

=== debian/changelog ===
snac2 (2.71-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Sergio Durigan Junior <sergiodj@debian.org>  Tue, 04 Feb 2025 13:28:02 -0500

snac2 (2.71-1) unstable; urgency=medium

  * New upstream version 2.71

 -- Sergio Durigan Junior <sergiodj@debian.org>  Tue, 04 Feb 2025 12:31:07 -0500

## snac2 2.72

=== Makefile ===
PREFIX?=/usr/local
PREFIX_MAN=$(PREFIX)/man
CFLAGS?=-g -Wall -Wextra -pedantic

all: snac

snac: snac.o main.o sandbox.o data.o http.o httpd.o webfinger.o \
    activitypub.o html.o utils.o format.o upgrade.o mastoapi.o
	$(CC) $(CFLAGS) -L$(PREFIX)/lib *.o -lcurl -lcrypto $(LDFLAGS) -pthread -o $@

.c.o:
	$(CC) $(CFLAGS) $(CPPFLAGS) -I$(PREFIX)/include -c $<

clean:
	rm -rf *.o *.core snac makefile.depend

dep:
	$(CC) -I$(PREFIX)/include -MM *.c > makefile.depend

install:
	mkdir -p -m 755 $(PREFIX)/bin
	install -m 755 snac $(PREFIX)/bin/snac
	mkdir -p -m 755 $(PREFIX_MAN)/man1
	install -m 644 doc/snac.1 $(PREFIX_MAN)/man1/snac.1
	mkdir -p -m 755 $(PREFIX_MAN)/man5
	install -m 644 doc/snac.5 $(PREFIX_MAN)/man5/snac.5
	mkdir -p -m 755 $(PREFIX_MAN)/man8
	install -m 644 doc/snac.8 $(PREFIX_MAN)/man8/snac.8

uninstall:
	rm $(PREFIX)/bin/snac
	rm $(PREFIX_MAN)/man1/snac.1
	rm $(PREFIX_MAN)/man5/snac.5
	rm $(PREFIX_MAN)/man8/snac.8

activitypub.o: activitypub.c xs.h xs_json.h xs_curl.h xs_mime.h \
 xs_openssl.h xs_regex.h xs_time.h xs_set.h xs_match.h xs_unicode.h \
 snac.h http_codes.h
data.o: data.c xs.h xs_hex.h xs_io.h xs_json.h xs_openssl.h xs_glob.h \
 xs_set.h xs_time.h xs_regex.h xs_match.h xs_unicode.h xs_random.h snac.h \
 http_codes.h
format.o: format.c xs.h xs_regex.h xs_mime.h xs_html.h xs_json.h \
 xs_time.h xs_match.h snac.h http_codes.h
html.o: html.c xs.h xs_io.h xs_json.h xs_regex.h xs_set.h xs_openssl.h \
 xs_time.h xs_mime.h xs_match.h xs_html.h xs_curl.h xs_unicode.h snac.h \
 http_codes.h
http.o: http.c xs.h xs_io.h xs_openssl.h xs_curl.h xs_time.h xs_json.h \
 snac.h http_codes.h
httpd.o: httpd.c xs.h xs_io.h xs_json.h xs_socket.h xs_unix_socket.h \
 xs_httpd.h xs_mime.h xs_time.h xs_openssl.h xs_fcgi.h xs_html.h snac.h \
 http_codes.h
main.o: main.c xs.h xs_io.h xs_json.h xs_time.h xs_openssl.h snac.h \
 http_codes.h
mastoapi.o: mastoapi.c xs.h xs_hex.h xs_openssl.h xs_json.h xs_io.h \
 xs_time.h xs_glob.h xs_set.h xs_random.h xs_url.h xs_mime.h xs_match.h \
 snac.h http_codes.h
sandbox.o: sandbox.c xs.h snac.h http_codes.h
snac.o: snac.c xs.h xs_hex.h xs_io.h xs_unicode_tbl.h xs_unicode.h \
 xs_json.h xs_curl.h xs_openssl.h xs_socket.h xs_unix_socket.h xs_url.h \
 xs_httpd.h xs_mime.h xs_regex.h xs_set.h xs_time.h xs_glob.h xs_random.h \
 xs_match.h xs_fcgi.h xs_html.h snac.h http_codes.h
upgrade.o: upgrade.c xs.h xs_io.h xs_json.h xs_glob.h snac.h http_codes.h
utils.o: utils.c xs.h xs_io.h xs_json.h xs_time.h xs_openssl.h \
 xs_random.h xs_glob.h xs_curl.h xs_regex.h snac.h http_codes.h
webfinger.o: webfinger.c xs.h xs_json.h xs_curl.h xs_mime.h snac.h \
 http_codes.h

=== debian/changelog ===
snac2 (2.72-1) unstable; urgency=medium

  * New upstream version 2.72

 -- Sergio Durigan Junior <sergiodj@debian.org>  Sat, 15 Feb 2025 23:29:04 -0500

=== debian/control ===
--- 
+++ 
@@ -2,6 +2,7 @@
 Section: web
 Priority: optional
 Maintainer: James Valleroy <jvalleroy@mailbox.org>
+Uploaders: Sergio Durigan Junior <sergiodj@debian.org>
 Build-Depends: apache2-dev,
                debhelper-compat (= 13),
                libcurl4-openssl-dev,

## snac2 2.73

=== debian/changelog ===
snac2 (2.73-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Sergio Durigan Junior <sergiodj@debian.org>  Thu, 06 Mar 2025 18:01:33 -0500

snac2 (2.73-1) unstable; urgency=medium

  * New upstream version 2.73

 -- Sergio Durigan Junior <sergiodj@debian.org>  Thu, 06 Mar 2025 17:59:16 -0500

snac2 (2.72-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Sergio Durigan Junior <sergiodj@debian.org>  Sat, 15 Feb 2025 23:31:13 -0500

## snac2 2.74

=== debian/changelog ===
snac2 (2.74-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Sergio Durigan Junior <sergiodj@debian.org>  Thu, 27 Mar 2025 19:21:17 -0400

snac2 (2.74-1) unstable; urgency=medium

  * New upstream version 2.74
  * Symlink config files into /etc/snac2/
    - d/snac2.dirs: List /etc/snac2 as a directory.
    - d/snac2.links: Install symlinks into /etc/snac2/. (Closes: #1079865)
  * d/snac2.install: Install language files.
  * d/control: Bump Standards-Version to 4.7.2; no changes needed.

 -- Sergio Durigan Junior <sergiodj@debian.org>  Thu, 20 Mar 2025 19:14:34 -0400

## snac2 2.75

=== Makefile ===
--- 
+++ 
@@ -33,24 +33,32 @@
 	rm $(PREFIX_MAN)/man5/snac.5
 	rm $(PREFIX_MAN)/man8/snac.8
 
+update-po:
+	mkdir -p po
+	[ -f "po/en.po" ] || xgettext -o po/en.po --language=C --keyword=L --from-code=utf-8 *.c
+	for a in po/*.po ; do \
+		sed -i -e '/^#:/d' $$a ; \
+		xgettext --omit-header -j -o $$a --language=C --keyword=L --from-code=utf-8 *.c ; \
+	done
+
 activitypub.o: activitypub.c xs.h xs_json.h xs_curl.h xs_mime.h \
  xs_openssl.h xs_regex.h xs_time.h xs_set.h xs_match.h xs_unicode.h \
  snac.h http_codes.h
 data.o: data.c xs.h xs_hex.h xs_io.h xs_json.h xs_openssl.h xs_glob.h \
- xs_set.h xs_time.h xs_regex.h xs_match.h xs_unicode.h xs_random.h snac.h \
- http_codes.h
+ xs_set.h xs_time.h xs_regex.h xs_match.h xs_unicode.h xs_random.h \
+ xs_po.h snac.h http_codes.h
 format.o: format.c xs.h xs_regex.h xs_mime.h xs_html.h xs_json.h \
  xs_time.h xs_match.h snac.h http_codes.h
 html.o: html.c xs.h xs_io.h xs_json.h xs_regex.h xs_set.h xs_openssl.h \
- xs_time.h xs_mime.h xs_match.h xs_html.h xs_curl.h xs_unicode.h snac.h \
- http_codes.h
+ xs_time.h xs_mime.h xs_match.h xs_html.h xs_curl.h xs_unicode.h xs_url.h \
+ snac.h http_codes.h
 http.o: http.c xs.h xs_io.h xs_openssl.h xs_curl.h xs_time.h xs_json.h \
  snac.h http_codes.h
 httpd.o: httpd.c xs.h xs_io.h xs_json.h xs_socket.h xs_unix_socket.h \
  xs_httpd.h xs_mime.h xs_time.h xs_openssl.h xs_fcgi.h xs_html.h snac.h \
  http_codes.h
-main.o: main.c xs.h xs_io.h xs_json.h xs_time.h xs_openssl.h snac.h \
- http_codes.h
+main.o: main.c xs.h xs_io.h xs_json.h xs_time.h xs_openssl.h xs_match.h \
+ snac.h http_codes.h
 mastoapi.o: mastoapi.c xs.h xs_hex.h xs_openssl.h xs_json.h xs_io.h \
  xs_time.h xs_glob.h xs_set.h xs_random.h xs_url.h xs_mime.h xs_match.h \
  snac.h http_codes.h
@@ -58,7 +66,7 @@
 snac.o: snac.c xs.h xs_hex.h xs_io.h xs_unicode_tbl.h xs_unicode.h \
  xs_json.h xs_curl.h xs_openssl.h xs_socket.h xs_unix_socket.h xs_url.h \
  xs_httpd.h xs_mime.h xs_regex.h xs_set.h xs_time.h xs_glob.h xs_random.h \
- xs_match.h xs_fcgi.h xs_html.h snac.h http_codes.h
+ xs_match.h xs_fcgi.h xs_html.h xs_po.h snac.h http_codes.h
 upgrade.o: upgrade.c xs.h xs_io.h xs_json.h xs_glob.h snac.h http_codes.h
 utils.o: utils.c xs.h xs_io.h xs_json.h xs_time.h xs_openssl.h \
  xs_random.h xs_glob.h xs_curl.h xs_regex.h snac.h http_codes.h

=== debian/changelog ===
snac2 (2.75-2~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Sergio Durigan Junior <sergiodj@debian.org>  Thu, 17 Apr 2025 20:03:54 -0400

snac2 (2.75-2) unstable; urgency=medium

  * d/snac2.postinst: Fix server initialization condition.
    The /var/lib/snac2 directory is now always created even when the
    server is not initialized, so we can't rely on its existence to
    determine whether we need to run "snac init".  Instead, we can check
    for the presence of "/var/lib/snac2/server.json" instead.

 -- Sergio Durigan Junior <sergiodj@debian.org>  Thu, 17 Apr 2025 19:07:00 -0400

snac2 (2.75-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Sergio Durigan Junior <sergiodj@debian.org>  Wed, 16 Apr 2025 21:54:19 -0400

snac2 (2.75-1) unstable; urgency=medium

  * New upstream version 2.75

 -- Sergio Durigan Junior <sergiodj@debian.org>  Wed, 16 Apr 2025 21:52:11 -0400

## snac2 2.81

=== debian/changelog ===
snac2 (2.81-1) unstable; urgency=medium

  * New upstream version 2.81

 -- Sergio Durigan Junior <sergiodj@debian.org>  Sun, 10 Aug 2025 00:41:42 -0400

snac2 (2.77-1) unstable; urgency=medium

  * New upstream version 2.77

 -- Sergio Durigan Junior <sergiodj@debian.org>  Thu, 15 May 2025 19:42:12 -0400

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
                debhelper-compat (= 13),
                libcurl4-openssl-dev,
                libssl-dev
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://codeberg.org/grunfink/snac2
 Vcs-Browser: https://salsa.debian.org/debian/snac2
 Vcs-Git: https://salsa.debian.org/debian/snac2.git

## snac2 2.82

=== debian/changelog ===
snac2 (2.82-1~bpo13+1) trixie-backports; urgency=medium

  * Rebuild for trixie-backports.

 -- Sergio Durigan Junior <sergiodj@debian.org>  Tue, 02 Sep 2025 17:28:41 -0400

snac2 (2.82-1) unstable; urgency=medium

  * New upstream version 2.82

 -- Sergio Durigan Junior <sergiodj@debian.org>  Tue, 02 Sep 2025 17:26:09 -0400

snac2 (2.81-1~bpo13+2) trixie-backports; urgency=medium

  * Source-only upload.

 -- Sergio Durigan Junior <sergiodj@debian.org>  Sun, 31 Aug 2025 14:46:20 -0400

snac2 (2.81-1~bpo13+1) trixie-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Sergio Durigan Junior <sergiodj@debian.org>  Sun, 10 Aug 2025 00:45:46 -0400

## snac2 2.83

=== Makefile ===
--- 
+++ 
@@ -5,14 +5,19 @@
 all: snac
 
 snac: snac.o main.o sandbox.o data.o http.o httpd.o webfinger.o \
-    activitypub.o html.o utils.o format.o upgrade.o mastoapi.o
+    activitypub.o html.o utils.o format.o upgrade.o mastoapi.o rss.o
 	$(CC) $(CFLAGS) -L$(PREFIX)/lib *.o -lcurl -lcrypto $(LDFLAGS) -pthread -o $@
 
+test: tests/smtp
+
+tests/smtp: tests/smtp.o
+	$(CC) $(CFLAGS) -L$(PREFIX)/lib $< -lcurl $(LDFLAGS) -o $@
+
 .c.o:
-	$(CC) $(CFLAGS) $(CPPFLAGS) -I$(PREFIX)/include -c $<
+	$(CC) $(CFLAGS) $(CPPFLAGS) -I$(PREFIX)/include -c $< -o $@
 
 clean:
-	rm -rf *.o *.core snac makefile.depend
+	rm -rf *.o tests/*.o tests/smtp *.core snac makefile.depend
 
 dep:
 	$(CC) -I$(PREFIX)/include -MM *.c > makefile.depend
@@ -43,30 +48,33 @@
 
 activitypub.o: activitypub.c xs.h xs_json.h xs_curl.h xs_mime.h \
  xs_openssl.h xs_regex.h xs_time.h xs_set.h xs_match.h xs_unicode.h \
- snac.h http_codes.h
+ xs_webmention.h snac.h http_codes.h
 data.o: data.c xs.h xs_hex.h xs_io.h xs_json.h xs_openssl.h xs_glob.h \
  xs_set.h xs_time.h xs_regex.h xs_match.h xs_unicode.h xs_random.h \
  xs_po.h snac.h http_codes.h
 format.o: format.c xs.h xs_regex.h xs_mime.h xs_html.h xs_json.h \
- xs_time.h xs_match.h snac.h http_codes.h
+ xs_time.h xs_match.h xs_unicode.h snac.h http_codes.h
 html.o: html.c xs.h xs_io.h xs_json.h xs_regex.h xs_set.h xs_openssl.h \
  xs_time.h xs_mime.h xs_match.h xs_html.h xs_curl.h xs_unicode.h xs_url.h \
- snac.h http_codes.h
+ xs_random.h snac.h http_codes.h
 http.o: http.c xs.h xs_io.h xs_openssl.h xs_curl.h xs_time.h xs_json.h \
  snac.h http_codes.h
 httpd.o: httpd.c xs.h xs_io.h xs_json.h xs_socket.h xs_unix_socket.h \
- xs_httpd.h xs_mime.h xs_time.h xs_openssl.h xs_fcgi.h xs_html.h snac.h \
- http_codes.h
+ xs_httpd.h xs_mime.h xs_time.h xs_openssl.h xs_fcgi.h xs_html.h \
+ xs_webmention.h snac.h http_codes.h
 main.o: main.c xs.h xs_io.h xs_json.h xs_time.h xs_openssl.h xs_match.h \
- snac.h http_codes.h
+ xs_random.h snac.h http_codes.h
 mastoapi.o: mastoapi.c xs.h xs_hex.h xs_openssl.h xs_json.h xs_io.h \
  xs_time.h xs_glob.h xs_set.h xs_random.h xs_url.h xs_mime.h xs_match.h \
- snac.h http_codes.h
+ xs_unicode.h snac.h http_codes.h
+rss.o: rss.c xs.h xs_html.h xs_regex.h xs_time.h xs_match.h xs_curl.h \
+ xs_openssl.h xs_json.h snac.h http_codes.h
 sandbox.o: sandbox.c xs.h snac.h http_codes.h
 snac.o: snac.c xs.h xs_hex.h xs_io.h xs_unicode_tbl.h xs_unicode.h \
  xs_json.h xs_curl.h xs_openssl.h xs_socket.h xs_unix_socket.h xs_url.h \
  xs_httpd.h xs_mime.h xs_regex.h xs_set.h xs_time.h xs_glob.h xs_random.h \
- xs_match.h xs_fcgi.h xs_html.h xs_po.h snac.h http_codes.h
+ xs_match.h xs_fcgi.h xs_html.h xs_po.h xs_webmention.h snac.h \
+ http_codes.h
 upgrade.o: upgrade.c xs.h xs_io.h xs_json.h xs_glob.h snac.h http_codes.h
 utils.o: utils.c xs.h xs_io.h xs_json.h xs_time.h xs_openssl.h \
  xs_random.h xs_glob.h xs_curl.h xs_regex.h snac.h http_codes.h

=== debian/changelog ===
snac2 (2.83-1~bpo13+1) trixie-backports; urgency=medium

  * Rebuild for trixie-backports.

 -- Sergio Durigan Junior <sergiodj@debian.org>  Fri, 19 Sep 2025 14:42:48 -0400

snac2 (2.83-1) unstable; urgency=medium

  * New upstream version 2.83

 -- Sergio Durigan Junior <sergiodj@debian.org>  Fri, 19 Sep 2025 14:40:08 -0400

## snac2 2.84

=== Makefile ===
--- 
+++ 
@@ -48,35 +48,36 @@
 
 activitypub.o: activitypub.c xs.h xs_json.h xs_curl.h xs_mime.h \
  xs_openssl.h xs_regex.h xs_time.h xs_set.h xs_match.h xs_unicode.h \
- xs_webmention.h snac.h http_codes.h
+ xs_webmention.h xs_http.h xs_http_codes.h snac.h
 data.o: data.c xs.h xs_hex.h xs_io.h xs_json.h xs_openssl.h xs_glob.h \
  xs_set.h xs_time.h xs_regex.h xs_match.h xs_unicode.h xs_random.h \
- xs_po.h snac.h http_codes.h
+ xs_po.h xs_http.h xs_http_codes.h snac.h
 format.o: format.c xs.h xs_regex.h xs_mime.h xs_html.h xs_json.h \
- xs_time.h xs_match.h xs_unicode.h snac.h http_codes.h
+ xs_time.h xs_match.h xs_unicode.h snac.h
 html.o: html.c xs.h xs_io.h xs_json.h xs_regex.h xs_set.h xs_openssl.h \
  xs_time.h xs_mime.h xs_match.h xs_html.h xs_curl.h xs_unicode.h xs_url.h \
- xs_random.h snac.h http_codes.h
+ xs_random.h xs_http.h xs_http_codes.h snac.h
 http.o: http.c xs.h xs_io.h xs_openssl.h xs_curl.h xs_time.h xs_json.h \
- snac.h http_codes.h
+ xs_http.h xs_http_codes.h snac.h
 httpd.o: httpd.c xs.h xs_io.h xs_json.h xs_socket.h xs_unix_socket.h \
- xs_httpd.h xs_mime.h xs_time.h xs_openssl.h xs_fcgi.h xs_html.h \
- xs_webmention.h snac.h http_codes.h
+ xs_http.h xs_http_codes.h xs_httpd.h xs_mime.h xs_time.h xs_openssl.h \
+ xs_fcgi.h xs_html.h xs_webmention.h snac.h
 main.o: main.c xs.h xs_io.h xs_json.h xs_time.h xs_openssl.h xs_match.h \
- xs_random.h snac.h http_codes.h
+ xs_random.h xs_http.h xs_http_codes.h snac.h
 mastoapi.o: mastoapi.c xs.h xs_hex.h xs_openssl.h xs_json.h xs_io.h \
  xs_time.h xs_glob.h xs_set.h xs_random.h xs_url.h xs_mime.h xs_match.h \
- xs_unicode.h snac.h http_codes.h
+ xs_unicode.h xs_http.h xs_http_codes.h snac.h
 rss.o: rss.c xs.h xs_html.h xs_regex.h xs_time.h xs_match.h xs_curl.h \
- xs_openssl.h xs_json.h snac.h http_codes.h
-sandbox.o: sandbox.c xs.h snac.h http_codes.h
+ xs_openssl.h xs_json.h xs_http.h xs_http_codes.h snac.h
+sandbox.o: sandbox.c xs.h snac.h
 snac.o: snac.c xs.h xs_hex.h xs_io.h xs_unicode_tbl.h xs_unicode.h \
  xs_json.h xs_curl.h xs_openssl.h xs_socket.h xs_unix_socket.h xs_url.h \
- xs_httpd.h xs_mime.h xs_regex.h xs_set.h xs_time.h xs_glob.h xs_random.h \
- xs_match.h xs_fcgi.h xs_html.h xs_po.h xs_webmention.h snac.h \
- http_codes.h
-upgrade.o: upgrade.c xs.h xs_io.h xs_json.h xs_glob.h snac.h http_codes.h
+ xs_http.h xs_http_codes.h xs_httpd.h xs_mime.h xs_regex.h xs_set.h \
+ xs_time.h xs_glob.h xs_random.h xs_match.h xs_fcgi.h xs_html.h xs_po.h \
+ xs_webmention.h snac.h
+upgrade.o: upgrade.c xs.h xs_io.h xs_json.h xs_glob.h snac.h
 utils.o: utils.c xs.h xs_io.h xs_json.h xs_time.h xs_openssl.h \
- xs_random.h xs_glob.h xs_curl.h xs_regex.h snac.h http_codes.h
-webfinger.o: webfinger.c xs.h xs_json.h xs_curl.h xs_mime.h snac.h \
- http_codes.h
+ xs_random.h xs_glob.h xs_curl.h xs_regex.h xs_http.h xs_http_codes.h \
+ snac.h
+webfinger.o: webfinger.c xs.h xs_json.h xs_curl.h xs_mime.h xs_http.h \
+ xs_http_codes.h snac.h

=== debian/changelog ===
snac2 (2.84-1) unstable; urgency=medium

  * New upstream version 2.84
  * d/control: Remove redundant Rules-Requires-Root.

 -- Sergio Durigan Junior <sergiodj@debian.org>  Wed, 29 Oct 2025 17:08:05 -0400

=== debian/tests/control ===
Tests: apache-test
Depends: apache2,
         wget,
         @
Restrictions: allow-stderr, needs-root

=== debian/watch ===
version=4
opts="mode=git" https://codeberg.org/grunfink/snac2.git \
  refs/tags/@ANY_VERSION@ debian uupdate

## snac2 2.85

=== debian/changelog ===
snac2 (2.85-1) unstable; urgency=medium

  * New upstream version 2.85
  * d/watch: Update to version 5.

 -- Sergio Durigan Junior <sergiodj@debian.org>  Fri, 05 Dec 2025 23:40:16 -0500

snac2 (2.84-3) unstable; urgency=medium

  * Drop PrivateUsers systemd sandboxing (Closes: #1089852)

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 17 Nov 2025 20:29:43 -0500

snac2 (2.84-2) unstable; urgency=medium

  * apache: Move ProxyPreserveHost into Locations
  * Relax sandboxing to allow sending emails

 -- James Valleroy <jvalleroy@mailbox.org>  Sun, 02 Nov 2025 08:28:35 -0500

=== debian/watch ===
Version: 5

Source: https://codeberg.org/grunfink/snac2.git
Matching-Pattern: refs/tags/@ANY_VERSION@
Mode: git

## snac2 2.87

=== debian/changelog ===
snac2 (2.87-1~bpo13+1) trixie-backports; urgency=medium

  * Rebuild for trixie-backports.

 -- Sergio Durigan Junior <sergiodj@debian.org>  Tue, 06 Jan 2026 16:39:31 -0500

snac2 (2.87-1) unstable; urgency=medium

  * New upstream version 2.87

 -- Sergio Durigan Junior <sergiodj@debian.org>  Tue, 06 Jan 2026 16:36:36 -0500

snac2 (2.85-1~bpo13+1) trixie-backports; urgency=medium

  * Rebuild for trixie-backports.

 -- Sergio Durigan Junior <sergiodj@debian.org>  Fri, 05 Dec 2025 23:50:59 -0500

snac2 (2.84-3~bpo13+1) trixie-backports; urgency=medium

  * Rebuild for trixie-backports.

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 24 Nov 2025 20:33:02 -0500

snac2 (2.84-2~bpo13+1) trixie-backports; urgency=medium

  * Rebuild for trixie-backports.

 -- James Valleroy <jvalleroy@mailbox.org>  Wed, 05 Nov 2025 19:11:28 -0500

snac2 (2.84-1~bpo13+1) trixie-backports; urgency=medium

  * Rebuild for trixie-backports.

 -- Sergio Durigan Junior <sergiodj@debian.org>  Wed, 29 Oct 2025 17:15:25 -0400

## snac2 2.88

=== debian/changelog ===
snac2 (2.88-1~bpo13+1) trixie-backports; urgency=medium

  * Rebuild for trixie-backports.

 -- Sergio Durigan Junior <sergiodj@debian.org>  Tue, 13 Jan 2026 14:00:59 -0500

snac2 (2.88-1) unstable; urgency=medium

  * New upstream version 2.88
  * d/control: Bump Standards-Version to 4.7.3; no changes needed.

 -- Sergio Durigan Junior <sergiodj@debian.org>  Tue, 13 Jan 2026 13:59:08 -0500

## snac2 2.89

=== Makefile ===
--- 
+++ 
@@ -46,7 +46,7 @@
 		xgettext --omit-header -j -o $$a --language=C --keyword=L --from-code=utf-8 *.c ; \
 	done
 
-activitypub.o: activitypub.c xs.h xs_json.h xs_curl.h xs_mime.h \
+activitypub.o: activitypub.c xs.h xs_json.h xs_curl.h xs_url.h xs_mime.h \
  xs_openssl.h xs_regex.h xs_time.h xs_set.h xs_match.h xs_unicode.h \
  xs_webmention.h xs_http.h xs_http_codes.h snac.h
 data.o: data.c xs.h xs_hex.h xs_io.h xs_json.h xs_openssl.h xs_glob.h \
@@ -68,16 +68,16 @@
  xs_time.h xs_glob.h xs_set.h xs_random.h xs_url.h xs_mime.h xs_match.h \
  xs_unicode.h xs_http.h xs_http_codes.h snac.h
 rss.o: rss.c xs.h xs_html.h xs_regex.h xs_time.h xs_match.h xs_curl.h \
- xs_openssl.h xs_json.h xs_http.h xs_http_codes.h snac.h
+ xs_openssl.h xs_json.h xs_http.h xs_http_codes.h xs_unicode.h snac.h
 sandbox.o: sandbox.c xs.h snac.h
 snac.o: snac.c xs.h xs_hex.h xs_io.h xs_unicode_tbl.h xs_unicode.h \
  xs_json.h xs_curl.h xs_openssl.h xs_socket.h xs_unix_socket.h xs_url.h \
  xs_http.h xs_http_codes.h xs_httpd.h xs_mime.h xs_regex.h xs_set.h \
  xs_time.h xs_glob.h xs_random.h xs_match.h xs_fcgi.h xs_html.h xs_po.h \
- xs_webmention.h snac.h
+ xs_webmention.h xs_list_tools.h snac.h
 upgrade.o: upgrade.c xs.h xs_io.h xs_json.h xs_glob.h snac.h
 utils.o: utils.c xs.h xs_io.h xs_json.h xs_time.h xs_openssl.h \
  xs_random.h xs_glob.h xs_curl.h xs_regex.h xs_http.h xs_http_codes.h \
- snac.h
+ xs_list_tools.h xs_set.h snac.h
 webfinger.o: webfinger.c xs.h xs_json.h xs_curl.h xs_mime.h xs_http.h \
  xs_http_codes.h snac.h

=== debian/changelog ===
snac2 (2.89-1~bpo13+1) trixie-backports; urgency=medium

  * Rebuild for trixie-backports.

 -- Sergio Durigan Junior <sergiodj@debian.org>  Fri, 30 Jan 2026 16:34:07 -0500

snac2 (2.89-1) unstable; urgency=medium

  * New upstream version 2.89

 -- Sergio Durigan Junior <sergiodj@debian.org>  Fri, 30 Jan 2026 16:31:27 -0500

## snac2 2.90

=== Makefile ===
--- 
+++ 
@@ -40,10 +40,10 @@
 
 update-po:
 	mkdir -p po
-	[ -f "po/en.po" ] || xgettext -o po/en.po --language=C --keyword=L --from-code=utf-8 *.c
+	[ -f "po/en.po" ] || xgettext -o po/en.po --language=C --keyword=L --keyword=LL --from-code=utf-8 *.c
 	for a in po/*.po ; do \
 		sed -i -e '/^#:/d' $$a ; \
-		xgettext --omit-header -j -o $$a --language=C --keyword=L --from-code=utf-8 *.c ; \
+		xgettext --omit-header -j -o $$a --language=C --keyword=L --keyword=LL --from-code=utf-8 *.c ; \
 	done
 
 activitypub.o: activitypub.c xs.h xs_json.h xs_curl.h xs_url.h xs_mime.h \

=== debian/changelog ===
snac2 (2.90-1) unstable; urgency=medium

  * New upstream version 2.90

 -- Sergio Durigan Junior <sergiodj@debian.org>  Fri, 20 Feb 2026 13:19:33 -0500

=== debian/control ===
--- 
+++ 
@@ -7,11 +7,10 @@
                debhelper-compat (= 13),
                libcurl4-openssl-dev,
                libssl-dev
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://codeberg.org/grunfink/snac2
 Vcs-Browser: https://salsa.debian.org/debian/snac2
 Vcs-Git: https://salsa.debian.org/debian/snac2.git
-Rules-Requires-Root: no
 
 Package: snac2
 Architecture: any
